

// Temp respuestas drag 
var inputForm1=[];

function init(){

    $('#imgLineas1').show().animate({ top: 126, opacity: 1 }, {duration: 1000, easing: 'linear'});
    $('#box1').show().animate({ top: 210, opacity: 1 }, {duration: 800, easing: 'easeOutBounce'});
    $('#box2').show().animate({ top: 210, opacity: 1 }, {duration: 800, easing: 'easeOutBounce'});

   $('#imgLineas2').hide();
   $('#imgLineas3').hide();
   $('#imgLineas4').hide();
    //Lineas tercer pag


   initDrop();

   $('img').on('mousedown', function(){return false});
}

// Pag1 
function animateSeq1(){

    $('#imgCirculo1').addClass('animated swing');
    $('#imgCirculo2').addClass('animated swing');
}

// Pag2 
function animateSeq2(){

    if($('#imgLineas2').is(":hidden")){
        $('#imgLineas2').slideDown(1000, function(){
            $('#imgVaso').delay(500).fadeTo("slow", 1, function(){
                $('#imgProbeta').delay(500).fadeTo("slow", 1, function(){
                    $('#imgFlecha').addClass('animated swing');
                    $('#imgFlecha').delay(500).fadeTo("slow", 1, function(){
                    });
                });
            });
        });
    }//Fin if
}
// Pag 3 
function animateSeq3(){

    if($('#imgLineas3').is(":hidden")){
        $('#imgLineas3').slideDown(1000, function(){
            $('#imgVaso2').delay(500).fadeTo("slow", 1, function(){
                $('#imgProbeta2').delay(500).fadeTo("slow", 1, function(){
                    $('#imgFlecha2').addClass('animated swing');
                    $('#imgFlecha2').delay(500).fadeTo("slow", 1, function(){
                    });
                });
            });
        });
    }//Fin if
}

// Pag 4
function animateSeq4(){

    if($('#imgLineas4').is(":hidden")){
        $('#imgLineas4').slideDown(1000, function(){
            $('#imgPrado').delay(500).fadeTo("slow", 1, function(){
                $('#imgProbeta3').delay(500).fadeTo("slow", 1, function(){
                    $('#imgFlecha3').addClass('animated swing');
                    $('#imgFlecha3').delay(500).fadeTo("slow", 1, function(){
                    });
                });
            });
        });
    }//Fin if
}


//Pag 5
//
function processOption(idDrag, idDrop){

   if(idDrop == 'drop1'){
       inputForm1[0] = idDrag;
   }else if(idDrop == 'drop2'){
       inputForm1[1] = idDrag;
   }else if(idDrop == 'drop3'){
       inputForm1[2] = idDrag;
   }else if(idDrop == 'drop4'){
       inputForm1[3] = idDrag;
   }else if(idDrop == 'drop5'){
       inputForm1[4] = idDrag;
   }else if(idDrop == 'drop6'){
       inputForm1[5] = idDrag;
   }

   //console.log(inputForm1);
   //console.log(idDrag);
   //console.log(idDrop);
}

function initDrop(){
    jQuery('.droppable').droppable(
            {
                accept: '.draggable',
                drop: function(event, ui)
                {
                    $(this).html("Ganancia");
                    // Procesa la opcion para la evaluacion del "formulario" 
                    processOption(ui.draggable.prop('id'), $(this).prop('id'));
                    $(this).css('background-color', '#fff')
                    if(ui.draggable.prop('id') == 'dragGanancia' ){
                        $(this).html( "<div class='cverde'> Ganancia </div>");
                    }
                    else{
                        $(this).html( "<div class='cazul'> Perdida </div>");
                    } 
                    // console.log(ui.draggable.prop('id'));
                    //console.log($(this).prop('id'));
                }
            });
}

// Verifica respuestas  formulario drag and drop
function solucionForm1(){
    //Sol
   var rtForm1 = ['dragPerdida','dragGanancia','dragPerdida', 'dragGanancia', 'dragGanancia', 'dragPerdida' ];
   var numErrors = 0 ;
   for($i=0; $i<6; $i++){
       if (inputForm1[$i] == rtForm1[$i]) {
           $('#drop'+($i+1)).css('background-color','background-color: rgb(172, 197, 180);');
       }
       else{
           numErrors++;
           $('#drop'+($i+1)).css('background-color','rgb(200, 122, 111)');
       }
   }
   if(numErrors == 0){
       sg.sound('success-low');
   }
   else{
       sg.sound('error');
   }

}



